Bug 873997 - file thinks the attached jpg is "Minix filesystem, V2, 50968 zones"
Summary: file thinks the attached jpg is "Minix filesystem, V2, 50968 zones"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On:
Blocks: 1162127
TreeView+ depends on / blocked
 
Reported: 2012-11-07 08:44 UTC by james.hn.sears
Modified: 2014-11-10 10:37 UTC (History)
3 users (show)

Fixed In Version: file-5.04-16.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1162127 (view as bug list)
Environment:
Last Closed: 2014-10-14 08:29:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
image file showing the problem (998.13 KB, image/jpeg)
2012-11-07 08:44 UTC, james.hn.sears
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1606 normal SHIPPED_LIVE Moderate: file security and bug fix update 2014-10-14 01:39:32 UTC

Description james.hn.sears 2012-11-07 08:44:10 UTC
Description of problem:
file is bust in another way (see: Bug 849621)

What is recognised by ubuntu 12.04 'file' correctly is incorrectly recognised by RHEL 6.3

Version-Release number of selected component (if applicable):
6.3 totally up to date as of 20121107

How reproducible:
Easily + totally reliably (for me)

Steps to Reproduce:
Using the attached .jpg
$ file cho_wtxx_1963_0019_000_0380.jpg

Actual results:
cho_wtxx_1963_0019_000_0380.jpg: Minix filesystem, V2, 50968 zones

Expected results:
cho_wtxx_1963_0019_000_0380.jpg: JPEG image data...

file should be saying its a jpeg file type (ubuntu thinks it is; as does firefox on 6.3).

Additional info:
This is the second defect I have raised with respect to the 'file' command.

Can you please provide either a patch to fix this or an actual release fix?

Please let me know if I can provide more info.

Comment 1 james.hn.sears 2012-11-07 08:44:59 UTC
Created attachment 639910 [details]
image file showing the problem

Comment 3 Ondrej Vasik 2012-11-07 09:18:13 UTC
Thanks for report. It is a bit unfair to compare Ubuntu released in April 2012 and RHEL-6 released in 2010. Many changes in file were done meanwhile upstream - and enterprise distribution intentionally doesn't follow all of them.

Similar issue was reported in RHEL-5 as https://bugzilla.redhat.com/show_bug.cgi?id=758429 , but was not reproducible on RHEL-6. With your file, it is reproducible - however - again it is just pattern priority order. With file -k , file shows both types - jpeg and minix - although jpeg of course should be preferred as stronger pattern.

Bugzilla is not a support tool - if you want to speed up the update with fix and the issue is urgent for you, please contact Red Hat product support via our support portal at access.redhat.com . Please let them know about this existing bugzilla.

Comment 4 Jan Kaluža 2013-01-15 10:32:11 UTC
Upstream bugreport with proposed patch:

http://bugs.gw.com/view.php?id=232

Comment 5 RHEL Program Management 2013-10-14 00:18:07 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 12 errata-xmlrpc 2014-10-14 08:29:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1606.html


Note You need to log in before you can comment on or make changes to this bug.